curl --request POST \
--url https://api.apimart.ai/v1/videos/generations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "kling-v3",
"prompt": "금빛 고양이가 햇살 가득한 초원을 달리는 모습, 슬로우 모션, 영화적 질감",
"mode": "std",
"duration": 5,
"aspect_ratio": "16:9"
}'
import requests
url = "https://api.apimart.ai/v1/videos/generations"
payload = {
"model": "kling-v3",
"prompt": "금빛 고양이가 햇살 가득한 초원을 달리는 모습, 슬로우 모션, 영화적 질감",
"mode": "std",
"duration": 5,
"aspect_ratio": "16:9"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.json())
const url = "https://api.apimart.ai/v1/videos/generations";
const payload = {
model: "kling-v3",
prompt: "금빛 고양이가 햇살 가득한 초원을 달리는 모습, 슬로우 모션, 영화적 질감",
mode: "std",
duration: 5,
aspect_ratio: "16:9"
};
const headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
};
fetch(url, {
method: "POST",
headers: headers,
body: JSON.stringify(payload)
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error('Error:', error));
package main
import (
"bytes"
"encoding/json"
"fmt"
"io/ioutil"
"net/http"
)
func main() {
url := "https://api.apimart.ai/v1/videos/generations"
payload := map[string]interface{}{
"model": "kling-v3",
"prompt": "금빛 고양이가 햇살 가득한 초원을 달리는 모습, 슬로우 모션, 영화적 질감",
"mode": "std",
"duration": 5,
"aspect_ratio": "16:9",
}
jsonData, _ := json.Marshal(payload)
req, _ := http.NewRequest("POST", url, bytes.NewBuffer(jsonData))
req.Header.Set("Authorization", "Bearer <token>")
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, _ := ioutil.ReadAll(resp.Body)
fmt.Println(string(body))
}
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.URI;
public class Main {
public static void main(String[] args) throws Exception {
String url = "https://api.apimart.ai/v1/videos/generations";
String payload = """
{
"model": "kling-v3",
"prompt": "금빛 고양이가 햇살 가득한 초원을 달리는 모습, 슬로우 모션, 영화적 질감",
"mode": "std",
"duration": 5,
"aspect_ratio": "16:9"
}
""";
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create(url))
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.POST(HttpRequest.BodyPublishers.ofString(payload))
.build();
HttpResponse<String> response = client.send(request,
HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
<?php
$url = "https://api.apimart.ai/v1/videos/generations";
$payload = [
"model" => "kling-v3",
"prompt" => "금빛 고양이가 햇살 가득한 초원을 달리는 모습, 슬로우 모션, 영화적 질감",
"mode" => "std",
"duration" => 5,
"aspect_ratio" => "16:9"
];
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($payload));
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"Authorization: Bearer <token>",
"Content-Type: application/json"
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
?>
require 'net/http'
require 'json'
require 'uri'
url = URI("https://api.apimart.ai/v1/videos/generations")
payload = {
model: "kling-v3",
prompt: "금빛 고양이가 햇살 가득한 초원을 달리는 모습, 슬로우 모션, 영화적 질감",
mode: "std",
duration: 5,
aspect_ratio: "16:9"
}
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = "Bearer <token>"
request["Content-Type"] = "application/json"
request.body = payload.to_json
response = http.request(request)
puts response.body
import Foundation
let url = URL(string: "https://api.apimart.ai/v1/videos/generations")!
let payload: [String: Any] = [
"model": "kling-v3",
"prompt": "금빛 고양이가 햇살 가득한 초원을 달리는 모습, 슬로우 모션, 영화적 질감",
"mode": "std",
"duration": 5,
"aspect_ratio": "16:9"
]
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.setValue("Bearer <token>", forHTTPHeaderField: "Authorization")
request.setValue("application/json", forHTTPHeaderField: "Content-Type")
request.httpBody = try? JSONSerialization.data(withJSONObject: payload)
let task = URLSession.shared.dataTask(with: request) { data, response, error in
if let error = error {
print("Error: \(error)")
return
}
if let data = data, let responseString = String(data: data, encoding: .utf8) {
print(responseString)
}
}
task.resume()
using System;
using System.Net.Http;
using System.Text;
using System.Threading.Tasks;
class Program
{
static async Task Main(string[] args)
{
var url = "https://api.apimart.ai/v1/videos/generations";
var payload = @"{
""model"": ""kling-v3"",
""prompt"": ""금빛 고양이가 햇살 가득한 초원을 달리는 모습, 슬로우 모션, 영화적 질감"",
""mode"": ""std"",
""duration"": 5,
""aspect_ratio"": ""16:9""
}";
using var client = new HttpClient();
client.DefaultRequestHeaders.Add("Authorization", "Bearer <token>");
var content = new StringContent(payload, Encoding.UTF8, "application/json");
var response = await client.PostAsync(url, content);
var result = await response.Content.ReadAsStringAsync();
Console.WriteLine(result);
}
}
{
"code": 200,
"data": [
{
"status": "submitted",
"task_id": "task_xxxxxxxxxx"
}
]
}
{
"error": {
"code": 400,
"message": "잘못된 요청 매개변수입니다",
"type": "invalid_request_error"
}
}
{
"error": {
"code": 401,
"message": "인증에 실패했습니다. API 키를 확인해주세요",
"type": "authentication_error"
}
}
{
"error": {
"code": 402,
"message": "잔액이 부족합니다. 충전 후 다시 시도해주세요",
"type": "payment_required"
}
}
{
"error": {
"code": 429,
"message": "요청이 너무 많습니다. 잠시 후 다시 시도해주세요",
"type": "rate_limit_error"
}
}
{
"error": {
"code": 500,
"message": "서버 내부 오류입니다. 잠시 후 다시 시도해주세요",
"type": "server_error"
}
}
Kling v3
Kling v3 비디오 생성
- 비동기 처리 모드, 후속 조회를 위한 작업 ID 반환
- 텍스트-비디오, 이미지-비디오(첫 프레임/첫-끝 프레임 제어) 지원
- 표준 모드(720P), 프로페셔널 모드(1080P), 4K 모드 지원
- 3~15초 동영상 길이 지원
- 오디오가 포함된 비디오 생성 지원
POST
/
v1
/
videos
/
generations
curl --request POST \
--url https://api.apimart.ai/v1/videos/generations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "kling-v3",
"prompt": "금빛 고양이가 햇살 가득한 초원을 달리는 모습, 슬로우 모션, 영화적 질감",
"mode": "std",
"duration": 5,
"aspect_ratio": "16:9"
}'
import requests
url = "https://api.apimart.ai/v1/videos/generations"
payload = {
"model": "kling-v3",
"prompt": "금빛 고양이가 햇살 가득한 초원을 달리는 모습, 슬로우 모션, 영화적 질감",
"mode": "std",
"duration": 5,
"aspect_ratio": "16:9"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.json())
const url = "https://api.apimart.ai/v1/videos/generations";
const payload = {
model: "kling-v3",
prompt: "금빛 고양이가 햇살 가득한 초원을 달리는 모습, 슬로우 모션, 영화적 질감",
mode: "std",
duration: 5,
aspect_ratio: "16:9"
};
const headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
};
fetch(url, {
method: "POST",
headers: headers,
body: JSON.stringify(payload)
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error('Error:', error));
package main
import (
"bytes"
"encoding/json"
"fmt"
"io/ioutil"
"net/http"
)
func main() {
url := "https://api.apimart.ai/v1/videos/generations"
payload := map[string]interface{}{
"model": "kling-v3",
"prompt": "금빛 고양이가 햇살 가득한 초원을 달리는 모습, 슬로우 모션, 영화적 질감",
"mode": "std",
"duration": 5,
"aspect_ratio": "16:9",
}
jsonData, _ := json.Marshal(payload)
req, _ := http.NewRequest("POST", url, bytes.NewBuffer(jsonData))
req.Header.Set("Authorization", "Bearer <token>")
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, _ := ioutil.ReadAll(resp.Body)
fmt.Println(string(body))
}
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.URI;
public class Main {
public static void main(String[] args) throws Exception {
String url = "https://api.apimart.ai/v1/videos/generations";
String payload = """
{
"model": "kling-v3",
"prompt": "금빛 고양이가 햇살 가득한 초원을 달리는 모습, 슬로우 모션, 영화적 질감",
"mode": "std",
"duration": 5,
"aspect_ratio": "16:9"
}
""";
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create(url))
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.POST(HttpRequest.BodyPublishers.ofString(payload))
.build();
HttpResponse<String> response = client.send(request,
HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
<?php
$url = "https://api.apimart.ai/v1/videos/generations";
$payload = [
"model" => "kling-v3",
"prompt" => "금빛 고양이가 햇살 가득한 초원을 달리는 모습, 슬로우 모션, 영화적 질감",
"mode" => "std",
"duration" => 5,
"aspect_ratio" => "16:9"
];
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($payload));
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"Authorization: Bearer <token>",
"Content-Type: application/json"
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
?>
require 'net/http'
require 'json'
require 'uri'
url = URI("https://api.apimart.ai/v1/videos/generations")
payload = {
model: "kling-v3",
prompt: "금빛 고양이가 햇살 가득한 초원을 달리는 모습, 슬로우 모션, 영화적 질감",
mode: "std",
duration: 5,
aspect_ratio: "16:9"
}
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = "Bearer <token>"
request["Content-Type"] = "application/json"
request.body = payload.to_json
response = http.request(request)
puts response.body
import Foundation
let url = URL(string: "https://api.apimart.ai/v1/videos/generations")!
let payload: [String: Any] = [
"model": "kling-v3",
"prompt": "금빛 고양이가 햇살 가득한 초원을 달리는 모습, 슬로우 모션, 영화적 질감",
"mode": "std",
"duration": 5,
"aspect_ratio": "16:9"
]
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.setValue("Bearer <token>", forHTTPHeaderField: "Authorization")
request.setValue("application/json", forHTTPHeaderField: "Content-Type")
request.httpBody = try? JSONSerialization.data(withJSONObject: payload)
let task = URLSession.shared.dataTask(with: request) { data, response, error in
if let error = error {
print("Error: \(error)")
return
}
if let data = data, let responseString = String(data: data, encoding: .utf8) {
print(responseString)
}
}
task.resume()
using System;
using System.Net.Http;
using System.Text;
using System.Threading.Tasks;
class Program
{
static async Task Main(string[] args)
{
var url = "https://api.apimart.ai/v1/videos/generations";
var payload = @"{
""model"": ""kling-v3"",
""prompt"": ""금빛 고양이가 햇살 가득한 초원을 달리는 모습, 슬로우 모션, 영화적 질감"",
""mode"": ""std"",
""duration"": 5,
""aspect_ratio"": ""16:9""
}";
using var client = new HttpClient();
client.DefaultRequestHeaders.Add("Authorization", "Bearer <token>");
var content = new StringContent(payload, Encoding.UTF8, "application/json");
var response = await client.PostAsync(url, content);
var result = await response.Content.ReadAsStringAsync();
Console.WriteLine(result);
}
}
{
"code": 200,
"data": [
{
"status": "submitted",
"task_id": "task_xxxxxxxxxx"
}
]
}
{
"error": {
"code": 400,
"message": "잘못된 요청 매개변수입니다",
"type": "invalid_request_error"
}
}
{
"error": {
"code": 401,
"message": "인증에 실패했습니다. API 키를 확인해주세요",
"type": "authentication_error"
}
}
{
"error": {
"code": 402,
"message": "잔액이 부족합니다. 충전 후 다시 시도해주세요",
"type": "payment_required"
}
}
{
"error": {
"code": 429,
"message": "요청이 너무 많습니다. 잠시 후 다시 시도해주세요",
"type": "rate_limit_error"
}
}
{
"error": {
"code": 500,
"message": "서버 내부 오류입니다. 잠시 후 다시 시도해주세요",
"type": "server_error"
}
}
curl --request POST \
--url https://api.apimart.ai/v1/videos/generations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "kling-v3",
"prompt": "금빛 고양이가 햇살 가득한 초원을 달리는 모습, 슬로우 모션, 영화적 질감",
"mode": "std",
"duration": 5,
"aspect_ratio": "16:9"
}'
import requests
url = "https://api.apimart.ai/v1/videos/generations"
payload = {
"model": "kling-v3",
"prompt": "금빛 고양이가 햇살 가득한 초원을 달리는 모습, 슬로우 모션, 영화적 질감",
"mode": "std",
"duration": 5,
"aspect_ratio": "16:9"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.json())
const url = "https://api.apimart.ai/v1/videos/generations";
const payload = {
model: "kling-v3",
prompt: "금빛 고양이가 햇살 가득한 초원을 달리는 모습, 슬로우 모션, 영화적 질감",
mode: "std",
duration: 5,
aspect_ratio: "16:9"
};
const headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
};
fetch(url, {
method: "POST",
headers: headers,
body: JSON.stringify(payload)
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error('Error:', error));
package main
import (
"bytes"
"encoding/json"
"fmt"
"io/ioutil"
"net/http"
)
func main() {
url := "https://api.apimart.ai/v1/videos/generations"
payload := map[string]interface{}{
"model": "kling-v3",
"prompt": "금빛 고양이가 햇살 가득한 초원을 달리는 모습, 슬로우 모션, 영화적 질감",
"mode": "std",
"duration": 5,
"aspect_ratio": "16:9",
}
jsonData, _ := json.Marshal(payload)
req, _ := http.NewRequest("POST", url, bytes.NewBuffer(jsonData))
req.Header.Set("Authorization", "Bearer <token>")
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, _ := ioutil.ReadAll(resp.Body)
fmt.Println(string(body))
}
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.URI;
public class Main {
public static void main(String[] args) throws Exception {
String url = "https://api.apimart.ai/v1/videos/generations";
String payload = """
{
"model": "kling-v3",
"prompt": "금빛 고양이가 햇살 가득한 초원을 달리는 모습, 슬로우 모션, 영화적 질감",
"mode": "std",
"duration": 5,
"aspect_ratio": "16:9"
}
""";
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create(url))
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.POST(HttpRequest.BodyPublishers.ofString(payload))
.build();
HttpResponse<String> response = client.send(request,
HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
<?php
$url = "https://api.apimart.ai/v1/videos/generations";
$payload = [
"model" => "kling-v3",
"prompt" => "금빛 고양이가 햇살 가득한 초원을 달리는 모습, 슬로우 모션, 영화적 질감",
"mode" => "std",
"duration" => 5,
"aspect_ratio" => "16:9"
];
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($payload));
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"Authorization: Bearer <token>",
"Content-Type: application/json"
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
?>
require 'net/http'
require 'json'
require 'uri'
url = URI("https://api.apimart.ai/v1/videos/generations")
payload = {
model: "kling-v3",
prompt: "금빛 고양이가 햇살 가득한 초원을 달리는 모습, 슬로우 모션, 영화적 질감",
mode: "std",
duration: 5,
aspect_ratio: "16:9"
}
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = "Bearer <token>"
request["Content-Type"] = "application/json"
request.body = payload.to_json
response = http.request(request)
puts response.body
import Foundation
let url = URL(string: "https://api.apimart.ai/v1/videos/generations")!
let payload: [String: Any] = [
"model": "kling-v3",
"prompt": "금빛 고양이가 햇살 가득한 초원을 달리는 모습, 슬로우 모션, 영화적 질감",
"mode": "std",
"duration": 5,
"aspect_ratio": "16:9"
]
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.setValue("Bearer <token>", forHTTPHeaderField: "Authorization")
request.setValue("application/json", forHTTPHeaderField: "Content-Type")
request.httpBody = try? JSONSerialization.data(withJSONObject: payload)
let task = URLSession.shared.dataTask(with: request) { data, response, error in
if let error = error {
print("Error: \(error)")
return
}
if let data = data, let responseString = String(data: data, encoding: .utf8) {
print(responseString)
}
}
task.resume()
using System;
using System.Net.Http;
using System.Text;
using System.Threading.Tasks;
class Program
{
static async Task Main(string[] args)
{
var url = "https://api.apimart.ai/v1/videos/generations";
var payload = @"{
""model"": ""kling-v3"",
""prompt"": ""금빛 고양이가 햇살 가득한 초원을 달리는 모습, 슬로우 모션, 영화적 질감"",
""mode"": ""std"",
""duration"": 5,
""aspect_ratio"": ""16:9""
}";
using var client = new HttpClient();
client.DefaultRequestHeaders.Add("Authorization", "Bearer <token>");
var content = new StringContent(payload, Encoding.UTF8, "application/json");
var response = await client.PostAsync(url, content);
var result = await response.Content.ReadAsStringAsync();
Console.WriteLine(result);
}
}
{
"code": 200,
"data": [
{
"status": "submitted",
"task_id": "task_xxxxxxxxxx"
}
]
}
{
"error": {
"code": 400,
"message": "잘못된 요청 매개변수입니다",
"type": "invalid_request_error"
}
}
{
"error": {
"code": 401,
"message": "인증에 실패했습니다. API 키를 확인해주세요",
"type": "authentication_error"
}
}
{
"error": {
"code": 402,
"message": "잔액이 부족합니다. 충전 후 다시 시도해주세요",
"type": "payment_required"
}
}
{
"error": {
"code": 429,
"message": "요청이 너무 많습니다. 잠시 후 다시 시도해주세요",
"type": "rate_limit_error"
}
}
{
"error": {
"code": 500,
"message": "서버 내부 오류입니다. 잠시 후 다시 시도해주세요",
"type": "server_error"
}
}
인증
string
필수
모든 API 엔드포인트는 Bearer Token 인증이 필요합니다API 키 받기:API 키 관리 페이지에서 API 키를 받으세요요청 헤더에 추가:
Authorization: Bearer YOUR_API_KEY
요청 매개변수
string
필수
비디오 생성 모델 이름지원 모델:
kling-v3- Kling v3 (권장)
string
필수
텍스트 프롬프트장면, 동작, 스타일 등을 자세히 설명하면 더 나은 생성 결과를 얻을 수 있습니다. 영어 프롬프트를 권장합니다.예시:
"a golden retriever running on the beach, sunset, cinematic"string
부정 프롬프트, 원하지 않는 콘텐츠를 제외하는 데 사용예시:
"흐림, 저화질, 왜곡"string
기본값:"std"
생성 모드옵션:
std- 표준 모드 (720P)pro- 프로페셔널 모드 (1080P)4k- 4K 모드
stdinteger
기본값:"5"
기본값:
5
비디오 길이 (초)값 범위: 3-15 (최소 3초, 최대 15초)⚠️ 주의: 순수한 숫자(예: 6)를 입력해야 합니다. 따옴표를 추가하면 오류가 발생합니다string
기본값:"16:9"
비디오 화면 비율옵션:
16:9- 가로9:16- 세로1:1- 정사각형
16:9array<url>
이미지-비디오 생성을 위한 이미지 URL 배열
- 1장: 첫 프레임으로 사용
- 2장: 자동으로 첫 프레임 + 끝 프레임으로 할당
["https://example.com/first.jpg"]- 최대 2장까지 지원
- 이미지 URL은 공개적으로 접근 가능해야 하며 핫링크 보호가 없어야 합니다
- 이미지-비디오 모드에서는
aspect_ratio가 실제 이미지 비율로 대체될 수 있습니다
boolean
워터마크 추가 여부
boolean
기본값:"false"
오디오가 포함된 비디오를 생성할지 여부
boolean
기본값:"false"
멀티 샷 모드 사용 여부.
truefalse
string
분할 방식:
customize / intelligence.multi_shot=true일 때 필수입니다.array<object>
샷별 정보(프롬프트, 길이 등).
index, prompt, duration으로 샷 순서/내용/길이를 정의합니다.- 최소 1개, 최대 6개 샷
- 각 샷 내용 최대 길이 512
- 각 샷 길이는 1 이상이며 전체 작업 길이를 초과할 수 없음
- 모든 샷 길이 합은 상위
duration과 같아야 함
"multi_prompt": [
{ "index": 1, "prompt": "string", "duration": 5 },
{ "index": 2, "prompt": "string", "duration": 5 }
]
multi_shot=true 이고 shot_type=customize일 때 필수입니다.array<object>
참조 주체 목록, 최대 3개 주체 지원.설명:
name,description,element_input_urls로 현장 생성 가능
[
{
"name": "element_dog",
"description": "a golden retriever, fluffy fur, friendly expression",
"element_input_urls": [
"https://example.com/image1.png",
"https://example.com/image2.png"
]
},
{
"name": "element_cat",
"description": "an orange tabby cat, round face, bright eyes",
"element_input_urls": [
"https://example.com/image1.png",
"https://example.com/image2.png"
]
}
]
- 현장 생성 시
name,description,element_input_urls필수 element_input_urls: 주체당 2~4장(1장은 정면, 나머지는 참조)prompt에서@name으로 참조, 예:"@element_dog 와 @element_cat 이 잔디에서 뛰어놉니다"
매개변수 제약 및 경계
mode=4k는kling-v3에서 사용 가능image_urls는 최대 2장(1장: 첫 프레임, 2장: 첫+끝 프레임)- 끝 프레임만 단독 전달은 불가(첫 프레임 필수)
multi_shot=true일 때 상위prompt는 생략 가능multi_prompt는 최대 6개 샷,index는 1부터 연속 증가
기능 지원 매트릭스
| 유형 | 기능 | std 5초 | std 10초 | std 15초 | pro 5초 | pro 10초 |
|---|---|---|---|---|---|---|
| 텍스트-비디오 | 비디오 생성 | ✅ | ✅ | ✅ | ✅ | ✅ |
| 이미지-비디오 | 비디오 생성 | ✅ | ✅ | ✅ | ✅ | ✅ |
| 이미지-비디오 | 첫 프레임 | ✅ | ✅ | ✅ | ✅ | ✅ |
| 이미지-비디오 | 끝 프레임 | ✅ | ✅ | ✅ | ✅ | ✅ |
텍스트-비디오 vs 이미지-비디오
image_urls 전달 여부에 따라 시스템이 자동으로 모드를 판단합니다: 이미지 없음은 텍스트-비디오, 이미지 있음은 이미지-비디오.
| 매개변수 | 텍스트-비디오 | 이미지-비디오 |
|---|---|---|
prompt | ✅ 필수 | ✅ 필수 |
image_urls | ❌ 불필요 | ✅ 필수 (1-2장) |
negative_prompt | ✅ 선택 | ✅ 선택 |
mode | ✅ 선택 | ✅ 선택 |
duration | ✅ 선택 (3-15) | ✅ 선택 (3-15) |
aspect_ratio | ✅ 선택 | ⚠️ 이미지 비율로 대체될 수 있음 |
watermark | ✅ 선택 | ✅ 선택 |
audio | ✅ 선택 | ✅ 선택 |
응답
integer
응답 상태 코드, 성공 시 200
사용 시나리오
시나리오 1: 텍스트-비디오 (표준 모드)
{
"model": "kling-v3",
"prompt": "a golden retriever running on the beach, sunset, cinematic",
"mode": "std",
"duration": 5,
"aspect_ratio": "16:9"
}
시나리오 2: 텍스트-비디오 (프로 모드 + 부정 프롬프트)
{
"model": "kling-v3",
"prompt": "Tokyo Shibuya crossing, rainy night with neon lights reflecting on wet ground, pedestrians with umbrellas",
"negative_prompt": "흐림, 저화질, 왜곡",
"mode": "pro",
"duration": 10,
"aspect_ratio": "16:9"
}
시나리오 3: 텍스트-비디오 (15초)
{
"model": "kling-v3",
"prompt": "a time-lapse of a flower blooming in a garden",
"duration": 15,
"aspect_ratio": "16:9"
}
시나리오 4: 이미지-비디오 (첫 프레임)
{
"model": "kling-v3",
"prompt": "the cat slowly walks forward and looks around",
"image_urls": ["https://example.com/cat.jpg"],
"mode": "std",
"duration": 5
}
시나리오 5: 이미지-비디오 (첫 + 끝 프레임 제어)
{
"model": "kling-v3",
"prompt": "smooth cinematic transition",
"image_urls": [
"https://example.com/frame-start.jpg",
"https://example.com/frame-end.jpg"
],
"mode": "std",
"duration": 5
}
시나리오 6: 오디오가 포함된 비디오 생성
{
"model": "kling-v3",
"prompt": "이 무대에서 노래하는 록 가수, 콘서트 장면, 깜박이는 조명",
"audio": true,
"mode": "std",
"duration": 5
}
사례 7: 멀티 샷 스토리보드(customize, 15초, 세로·오디오 포함)
{
"model": "kling-v3",
"multi_prompt": [
{
"index": 1,
"prompt": "Two friends talking under a streetlight at night. Warm glow, casual poses, no dialogue.",
"duration": 2
},
{
"index": 2,
"prompt": "A runner sprinting through a forest, leaves flying. Low-angle shot, focus on movement.",
"duration": 3
},
{
"index": 3,
"prompt": "A woman hugging a cat, smiling. Soft sunlight, cozy home setting, emphasize warmth.",
"duration": 3
},
{
"index": 4,
"prompt": "A door creaking open, shadowy hallway. Dark tones, minimal details, eerie mood.",
"duration": 3
},
{
"index": 5,
"prompt": "A man slipping on a banana peel, shocked expression. Exaggerated pose, bright colors.",
"duration": 3
},
{
"index": 6,
"prompt": "A sunset over mountains, small figure walking away. Wide angle, peaceful atmosphere.",
"duration": 1
}
],
"multi_shot": true,
"shot_type": "customize",
"duration": 15,
"mode": "pro",
"audio": true,
"aspect_ratio": "9:16"
}
작업 결과 조회비디오 생성은 비동기 작업으로, 제출 시
task_id가 반환됩니다. 작업 상태 가져오기 엔드포인트를 사용하여 생성 진행 상황과 결과를 조회할 수 있습니다.⌘I